using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.IO;

public partial class Admin_SheZhi_WangZhanFangWen : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("更改设置", "网站后台", "更改设置", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();

        if (this.IsPostBack)
            更改设置();
        else
            设置();
    }
    private void 设置()
    {
        JiaHeiFangWenTiShi.Text = Convert.ToString(程序.设置["访问设置_加黑访问提示"]);
        if (Convert.ToBoolean(程序.设置["访问设置_网站状态"]))
            WangZhanZhuangTai_T.Checked = true;
        else
            WangZhanZhuangTai_F.Checked = true;
        WangZhanGuanBiTiShi.Text = Convert.ToString(程序.设置["访问设置_网站状态_错误提示"]);
        if (Convert.ToBoolean(程序.设置["访问设置_禁止电脑访问"]))
            JinZhiDianNaoFangWen_T.Checked = true;
        else
            JinZhiDianNaoFangWen_F.Checked = true;
        DianNaoFangWenTiShi.Text = Convert.ToString(程序.设置["访问设置_禁止电脑访问_错误提示"]);
    }
    private void 更改设置()
    {
        访问.验证权限("1");
        程序.设置["访问设置_加黑访问提示"] = JiaHeiFangWenTiShi.Text;
        程序.设置["访问设置_网站状态"] = WangZhanZhuangTai_T.Checked;
        程序.设置["访问设置_网站状态_错误提示"] = WangZhanGuanBiTiShi.Text;
        程序.设置["访问设置_禁止电脑访问"] = JinZhiDianNaoFangWen_T.Checked;
        程序.设置["访问设置_禁止电脑访问_错误提示"] = DianNaoFangWenTiShi.Text;
        File.WriteAllText(Server.MapPath("~/Data/XML/SheZhi.xml"), 程序.设置.生成XML(), System.Text.Encoding.UTF8);

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("更改网站访问设置", 访问.用户["昵称"].ToString());
    }
}
